std::error_code::operator=(3)

NAME
std::error_code::operator= - std::error_code::operator=

Synopsis
   template< class ErrorCodeEnum > (since C++11)
   error_code& operator=( ErrorCodeEnum e ) noexcept;
   Replaces the error code and corresponding category with those representing error
   code enum e.
   Equivalent to *this = make_error_code(e), where make_error_code is called
   unqualified to enable argument-dependent lookup. This overload participates in
   overload resolution only if std::is_error_code_enum<ErrorCodeEnum>::value is true.

Parameters
   e - error code enum to construct

Return value
   *this

Notes
   Copy-assignment operator is defined implicitly.
   The ADL-found make_error_code is intended to be used in the original proposal N2422,
   and used by all known implementations. However, the standard requires that only
   std::make_error_code overloads are considered. This is LWG issue 3629.

See also
   assign assigns another error code
          (public member function)